import { createClientFieldConfigs } from '../../fields/config/client.js';
export const createClientCollectionConfig = (collection)=>{
    const sanitized = {
        ...collection
    };
    sanitized.fields = createClientFieldConfigs(sanitized.fields);
    const serverOnlyCollectionProperties = [
        'hooks',
        'access',
        'endpoints'
    ];
    serverOnlyCollectionProperties.forEach((key)=>{
        if (key in sanitized) {
            delete sanitized[key];
        }
    });
    if ('upload' in sanitized && typeof sanitized.upload === 'object') {
        sanitized.upload = {
            ...sanitized.upload
        };
        delete sanitized.upload.handlers;
        delete sanitized.upload.adminThumbnail;
    }
    if ('auth' in sanitized && typeof sanitized.auth === 'object') {
        sanitized.auth = {
            ...sanitized.auth
        };
        delete sanitized.auth.strategies;
        delete sanitized.auth.forgotPassword;
        delete sanitized.auth.verify;
    }
    if ('admin' in sanitized) {
        sanitized.admin = {
            ...sanitized.admin
        };
        const serverOnlyCollectionAdminProperties = [
            'components',
            'hidden',
            'preview'
        ];
        serverOnlyCollectionAdminProperties.forEach((key)=>{
            if (key in sanitized.admin) {
                delete sanitized.admin[key];
            }
        });
        if ('livePreview' in sanitized.admin) {
            sanitized.admin.livePreview = {
                ...sanitized.admin.livePreview
            };
            delete sanitized.admin.livePreview.url;
        }
    }
    return sanitized;
};
export const createClientCollectionConfigs = (collections)=>collections.map((collection)=>createClientCollectionConfig(collection));

//# sourceMappingURL=client.js.map