import httpStatus from 'http-status';
import APIError from './APIError.js';
class QueryError extends APIError {
    constructor(results){
        const message = `The following path${results.length === 1 ? '' : 's'} cannot be queried:`;
        super(`${message} ${results.map((err)=>err.path).join(', ')}`, httpStatus.BAD_REQUEST, results);
    }
}
export default QueryError;

//# sourceMappingURL=QueryError.js.map