export const createClientFieldConfig = (f)=>{
    const field = {
        ...f
    };
    const serverOnlyFieldProperties = [
        'hooks',
        'access',
        'validate',
        'defaultValue',
        'label',
        'filterOptions',
        'editor'
    ];
    serverOnlyFieldProperties.forEach((key)=>{
        if (key in field) {
            delete field[key];
        }
    });
    if ('fields' in field) {
        field.fields = createClientFieldConfigs(field.fields);
    }
    if ('blocks' in field) {
        field.blocks = field.blocks.map((block)=>{
            const sanitized = {
                ...block
            };
            sanitized.fields = createClientFieldConfigs(sanitized.fields);
            return sanitized;
        });
    }
    if ('tabs' in field) {
        // @ts-expect-error
        field.tabs = field.tabs.map((tab)=>createClientFieldConfig(tab));
    }
    if ('admin' in field) {
        field.admin = {
            ...field.admin
        };
        const serverOnlyFieldAdminProperties = [
            'components',
            'condition',
            'description'
        ];
        serverOnlyFieldAdminProperties.forEach((key)=>{
            if (key in field.admin) {
                delete field.admin[key];
            }
        });
    }
    return field;
};
export const createClientFieldConfigs = (fields)=>fields.map(createClientFieldConfig);

//# sourceMappingURL=client.js.map