import { createClientFieldConfigs } from '../../fields/config/client.js';
export const createClientGlobalConfig = (global)=>{
    const sanitized = {
        ...global
    };
    sanitized.fields = createClientFieldConfigs(sanitized.fields);
    const serverOnlyProperties = [
        'hooks',
        'access',
        'endpoints'
    ];
    serverOnlyProperties.forEach((key)=>{
        if (key in sanitized) {
            delete sanitized[key];
        }
    });
    if ('admin' in sanitized) {
        sanitized.admin = {
            ...sanitized.admin
        };
        const serverOnlyGlobalAdminProperties = [
            'components',
            'hidden',
            'preview'
        ];
        serverOnlyGlobalAdminProperties.forEach((key)=>{
            if (key in sanitized.admin) {
                delete sanitized.admin[key];
            }
        });
        if ('livePreview' in sanitized.admin) {
            sanitized.admin.livePreview = {
                ...sanitized.admin.livePreview
            };
            delete sanitized.admin.livePreview.url;
        }
    }
    return sanitized;
};
export const createClientGlobalConfigs = (globals)=>globals.map((global)=>createClientGlobalConfig(global));

//# sourceMappingURL=client.js.map